package com.muchinfo.mtp3century.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.Systemmanager;
import com.muchinfo.mtp3pojos.entity.WskhUserinfo;
import com.muchinfo.mtp3pojos.vo.investor.InvestorProcessParam;
import com.muchinfo.mtp3pojos.vo.investor.InvestorQueryParam;
import com.muchinfo.mtp3pojos.vo.investor.InvestorQueryResult;

import javax.servlet.http.HttpServletRequest;
import java.sql.SQLException;


/**
 * <p>
 * 网上开户用户表 (开户成功删除记录) 服务类
 * </p>
 *
 * @author XKF
 * @since 2024-05-30
 */
public interface IWskhUserinfoService extends IService<WskhUserinfo> {

    PageResult<WskhUserinfo> queryByPage(String username, Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult<WskhUserinfo> queryDetail(Long userId, HttpServletRequest request);

    AjaxResult addAreainfo(WskhUserinfo wskhUserinfoVo, Systemmanager systemmanager, HttpServletRequest request);

    AjaxResult updateAreainfo(WskhUserinfo wskhUserinfoVo, Systemmanager systemmanager, HttpServletRequest request);

    AjaxResult reBack(Long userid, HttpServletRequest request);

    AjaxResult delete(Long userid, HttpServletRequest request);

    AjaxResult approved(WskhUserinfo vo, HttpServletRequest request);

    AjaxResult<WskhUserinfo> querySunDetail(Long userId, HttpServletRequest request);

    PageResult<InvestorQueryResult> queryInvestorPage(InvestorQueryParam investorQueryParam, HttpServletRequest request);

    AjaxResult editWskhUserinfo(WskhUserinfo currentVo, Systemmanager systemmanager, HttpServletRequest request);

    AjaxResult addWskhUserinfo(WskhUserinfo currentVo, Systemmanager systemmanager, HttpServletRequest request);

    AjaxResult investorProcess(InvestorProcessParam param, HttpServletRequest request) throws SQLException;
}
